Debian Bug report logs - #595397
libsys-sigaction-perl: FTBFS on armel, unsupported

version graph

Package: libsys-sigaction-perl; Maintainer for libsys-sigaction-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libsys-sigaction-perl is src:libsys-sigaction-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Fri, 3 Sep 2010 17:33:01 UTC

Severity: serious

Found in version libsys-sigaction-perl/0.11-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-arm@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#595397; Package libsys-sigaction-perl. (Fri, 03 Sep 2010 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to debian-arm@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 03 Sep 2010 17:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libsys-sigaction-perl: FTBFS on armel, unsupported
Date: Fri, 3 Sep 2010 20:29:38 +0300
Package: libsys-sigaction-perl
Version: 0.11-1
Severity: serious
X-Debbugs-Cc: debian-arm@lists.debian.org

While looking at the libforks-perl test failures on armel (#587463),
I noticed that libsys-sigaction-perl (an arch:all package) fails its
test suite on agricola.debian.org.

Test Summary Report
-------------------
t/nested.t (Wstat: 139 Tests: 0 Failed: 0)
  Non-zero wait status: 139
  Parse errors: Bad plan.  You planned 4 tests but ran 0.

agricola% perl -Iblib/lib -Iblib/arch t/nested.t
1..4
level 3
level 2
zsh: illegal hardware instruction (core dumped)  perl -Iblib/lib -Iblib/arch t/nested.t

Running the test suite on abel.debian.org (also an armv5tel but different
hardware) reproducibly crashes the whole system. This is clearly a
kernel problem, but as abel is running on a non-Debian 2.6.32 kernel
(the hardware is not supported by the Debian kernels yet) the linux-2.6
package is not necessarily affected.

Cc'ing the debian-arm list. Can anybody else crash their system by just
building the libsys-sigaction-perl package?


Now, I see this in the libsys-sigaction-perl Makefile.PL:

if ( $Config{archname} =~ m/armv5tejl/ ) {
   die q{

   Sys::SigAction is not supported on armv5tejl systems.
   I have communicated with the smoke tester on this OS, 
   and we believe that the base perl implementation of 
   POSIX:sigaction is probably the root cause.

   if you want to use this module anyway, or work on getting
   it supported by fixing the perl port, you can uncomment out
   this section of Makefile.PL to build Sys::SigAction.

   Lincoln
   };
}

While agricola is apparently not quite an 'armv5tejl' (whatever that
means), it's pretty close.

 Linux agricola 2.6.26-2-iop32x #1 Thu Aug 19 03:01:39 UTC 2010 armv5tel GNU/Linux

As Sys::SigAction is a pure perl module, I agree the bug is most probably
in POSIX::sigaction in the perl package. I'll clone a bug about that next.

However, I don't think this should be considered a release critical issue
for the perl package (the 'important' severity is about right IMO). I'm
afraid it's quite possible that POSIX::sigaction can't be fixed in time
for squeeze.

debian-arm: would somebody like to look into this?

In case perl can't be fixed, I suppose we need to make
libsys-sigaction-perl an arch:any package, make sure it FTBFS properly on
all armel hosts *before* running the test suite (to avoid accidentally
crashing a buildd system), and add it to the Packages-Arch-Specific
file. See devref, 5.10.4

 http://www.debian.org/doc/developers-reference/pkgs.html#packages-arch-specific

This would indirectly take care of #587463, as libforks-perl will become
unbuildable on armel due to an unavailable build dependency. I'll send
a comment in that bug's log as well.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#595397; Package libsys-sigaction-perl. (Fri, 03 Sep 2010 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 03 Sep 2010 18:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 595397@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 595397@bugs.debian.org
Cc: perl@packages.debian.org
Subject: Re: Bug#595397: libsys-sigaction-perl: FTBFS on armel, unsupported
Date: Fri, 3 Sep 2010 21:01:27 +0300
clone 595397 -1
reassign -1 perl 5.10.1-14
retitle -1 perl: POSIX::sigaction breakage on armel
severity -1 important
thanks

On Fri, Sep 03, 2010 at 08:29:38PM +0300, Niko Tyni wrote:
> Package: libsys-sigaction-perl
> Version: 0.11-1
> Severity: serious
> X-Debbugs-Cc: debian-arm@lists.debian.org

> if ( $Config{archname} =~ m/armv5tejl/ ) {
>    die q{
> 
>    Sys::SigAction is not supported on armv5tejl systems.
>    I have communicated with the smoke tester on this OS, 
>    and we believe that the base perl implementation of 
>    POSIX:sigaction is probably the root cause.
> 
>    if you want to use this module anyway, or work on getting
>    it supported by fixing the perl port, you can uncomment out
>    this section of Makefile.PL to build Sys::SigAction.
> 
>    Lincoln
>    };
> }

> As Sys::SigAction is a pure perl module, I agree the bug is most probably
> in POSIX::sigaction in the perl package. I'll clone a bug about that next.

Doing that now.
 
> However, I don't think this should be considered a release critical issue
> for the perl package (the 'important' severity is about right IMO). I'm
> afraid it's quite possible that POSIX::sigaction can't be fixed in time
> for squeeze.
> 
> debian-arm: would somebody like to look into this?

-- 
Niko Tyni   ntyni@debian.org




Bug 595397 cloned as bug 595403. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 03 Sep 2010 18:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#595397; Package libsys-sigaction-perl. (Mon, 01 Nov 2010 11:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 01 Nov 2010 11:54:08 GMT) Full text and rfc822 format available.

Message #17 received at 595397@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 595397@bugs.debian.org
Subject: Re: Bug#595397: libsys-sigaction-perl: FTBFS on armel, unsupported
Date: Mon, 1 Nov 2010 13:51:12 +0200
On Fri, Sep 03, 2010 at 08:29:38PM +0300, Niko Tyni wrote:
> Package: libsys-sigaction-perl
> Version: 0.11-1
> Severity: serious
> X-Debbugs-Cc: debian-arm@lists.debian.org
> 
> While looking at the libforks-perl test failures on armel (#587463),
> I noticed that libsys-sigaction-perl (an arch:all package) fails its
> test suite on agricola.debian.org.

> As Sys::SigAction is a pure perl module, I agree the bug is most probably
> in POSIX::sigaction in the perl package. I'll clone a bug about that next.

It turned out to be in eglibc: #595403, fixed in 2.11.2-7 

I think this bug can be closed once somebody has confirmed that the
libsys-sigaction-perl test suite indeed succeeds with libc6 (>= 2.11.2-7).
(It's a bit early for that as the new libc is not installed on armel yet.)

Informing the upstream author too would be good of course.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 07 Nov 2010 17:00:03 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Sun, 07 Nov 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 595397-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Niko Tyni <ntyni@debian.org>, 595397-done@bugs.debian.org
Subject: Re: Bug#595397: libsys-sigaction-perl: FTBFS on armel, unsupported
Date: Sun, 7 Nov 2010 17:57:10 +0100
[Message part 1 (text/plain, inline)]
On Mon, 01 Nov 2010 13:51:12 +0200, Niko Tyni wrote:

> It turned out to be in eglibc: #595403, fixed in 2.11.2-7 

Wow, thanks for analyzing this problem!
 
> I think this bug can be closed once somebody has confirmed that the
> libsys-sigaction-perl test suite indeed succeeds with libc6 (>= 2.11.2-7).
> (It's a bit early for that as the new libc is not installed on armel yet.)

I tried now, and the package builds fine on abel.d.o with libc6
2.11.2-7, therefore closing the bug.
 
> Informing the upstream author too would be good of course.

Will do so in a minute.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Rolling Stones: Allwrong
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Dec 2010 07:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:18:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.